INTERFACE
SUBROUTINE CPDYSLDIA(KPROMA,LDFSTEP,KSTART,KPROF,KFLEV,&
 & PGEMU,PGSQM2,PCOLON,PSP,PDELP,PRESF,PT,PGFL,PEXTRA) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOM_YGFL , ONLY : YGFL, YSLDIA, YSLDIA_NL, NSLDIA
USE YOMDPHY , ONLY : NVEXTRDYN
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
LOGICAL,INTENT(IN) :: LDFSTEP
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGSQM2(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOLON(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSP(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRESF(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFL(KPROMA,KFLEV,YGFL%NDIM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PEXTRA(KPROMA,KFLEV,NVEXTRDYN)
END SUBROUTINE CPDYSLDIA
END INTERFACE
